package gwtop.exemple.client.base.messages;

import com.google.gwt.i18n.client.Constants;

/**
 * The Interface IPersonConstants.
 */
public interface IPersonConstants extends Constants {

    /**
     * Birth.
     * @return the string
     */
    String birth();

    /**
     * Childrens.
     * @return the string
     */
    String childrens();

    /**
     * Creates the person.
     * @return the string
     */
    String createPerson();

    /**
     * Find person.
     * @return the h2 panel
     */
    String findPerson();

    /**
     * Happy.
     * @return the string
     */
    String happy();

    /**
     * Name.
     * @return the string
     */
    String name();

    /**
     * Pays.
     * @return the string
     */
    String pays();

    /**
     * Read person.
     * @return the string
     */
    String readPerson();

    /**
     * Update person.
     * @return the string
     */
    String updatePerson();

}
