package gwtop.exemple.client.person.find;

import gwtop.exemple.shared.bo.person.Person;
import gwtop.exemple.shared.dto.person.PersonCriteria;
import gwtop.fwk.mvpe.presenter.IPresenterFind;
import gwtop.fwk.ui.GenericElement;
import gwtop.fwk.ui.output.TableGTP;

import java.util.List;

import com.google.gwt.user.client.ui.Button;

/**
 * The Interface IPersonFindPresenter.
 */
public interface IPersonFindPresenter extends IPresenterFind<List<Person>, PersonCriteria> {

    /**
     * Gets the name.
     * @return the name
     */
    GenericElement<String> getName();

    /**
     * Gets the result.
     * @return the result
     */
    TableGTP getResult();

    /**
     * Gets the search.
     * @return the search
     */
    Button getSearch();

}
