package gwtop.exemple.client.person.find.sorted;

import gwtop.fwk.common.SortedHeader;
import gwtop.fwk.common.SortedSelection;
import gwtop.fwk.mvpe.event.handler.ASortedHandler;
import gwtop.fwk.ui.value.HeaderSortedValue;

import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.user.client.Command;

/**
 * The Class PersonFindHandler.
 */
public class PersonFindHandler extends ASortedHandler {

    /**
     * Instantiates a new person find handler.
     * @param command
     *            the command
     * @param pSorted
     *            the sorted
     */
    public PersonFindHandler(final Command command, final SortedSelection pSorted) {
        super(command, pSorted);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected String getAttr(final SortedHeader value) {
        return value.getAttr();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected SortedHeader getValue(final ClickEvent event) {
        final HeaderSortedValue value = (HeaderSortedValue) event.getSource();
        return value.getValue();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected boolean isEvenSource(final ClickEvent source) {
        if (source.getSource() instanceof HeaderSortedValue) {
            return true;
        }
        return false;
    }
}
