package gwtop.exemple.client.person.read;

import gwtop.exemple.client.base.manager.IMsgs;
import gwtop.exemple.client.person.commons.screen.APersonScreen;

/**
 * The Class PersonReadScreen.
 */
public class PersonReadScreen extends APersonScreen implements IPersonReadScreen {

    /**
     * Instantiates a new person read screen.
     * @param personId
     *            the person id
     */
    public PersonReadScreen(final Long personId) {
        super(new PersonReadPresenter(), IMsgs.person.readPerson());
        // We set the bean and call create panel in onSuccess
        this.getCommand().execute(personId.toString());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public IPersonReadPresenter getPresenter() {
        return (IPersonReadPresenter) super.getPresenter();
    }

}
