package gwtop.exemple.shared.bo.person;

import java.io.Serializable;
import java.util.Date;

/**
 * The Class Person.
 */
public class Person implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 6680971017411548641L;

    /** The birth. */
    private Date birth;

    /** The childrens. */
    private Integer childrens;

    /** The happy. */
    private Boolean happy;

    /** The name. */
    private String name;

    /** The pays. */
    private Float pays;

    /**
     * Instantiates a new person.
     */
    protected Person() {
        super();
    }

    /**
     * Gets the birth.
     * @return the birth
     */
    public Date getBirth() {
        return this.birth;
    }

    /**
     * Gets the childrens.
     * @return the childrens
     */
    public Integer getChildrens() {
        return this.childrens;
    }

    /**
     * Gets the happy.
     * @return the happy
     */
    public Boolean getHappy() {
        return this.happy;
    }

    /**
     * Gets the name.
     * @return the name
     */
    public String getName() {
        return this.name;
    }

    /**
     * Gets the pays.
     * @return the pays
     */
    public Float getPays() {
        return this.pays;
    }

    /**
     * Sets the birth.
     * @param birth
     *            the new birth
     */
    public void setBirth(final Date birth) {
        this.birth = birth;
    }

    /**
     * Sets the childrens.
     * @param childrens
     *            the new childrens
     */
    public void setChildrens(final Integer childrens) {
        this.childrens = childrens;
    }

    /**
     * Sets the happy.
     * @param happy
     *            the new happy
     */
    public void setHappy(final Boolean happy) {
        this.happy = happy;
    }

    /**
     * Sets the name.
     * @param name
     *            the new name
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * Sets the pays.
     * @param pays
     *            the new pays
     */
    public void setPays(final Float pays) {
        this.pays = pays;
    }

}
