package gwtop.exemple.shared.factory.person;

import gwtop.exemple.shared.bo.person.Person;

import java.util.Date;

/**
 * A factory for creating IPerson objects.
 */
public interface IPersonFactory {

    /**
     * Instance.
     * @return the person
     */
    Person instance();

    /**
     * Instance.
     * @param name
     *            the name
     * @param birth
     *            the birth
     * @param childs
     *            the childs
     * @param happy
     *            the happy
     * @param pays
     *            the pays
     * @return the person
     */
    Person instance(String name, Date birth, int childs, boolean happy, float pays);
}
