package gwtop.exemple.client.base.provider.person;

import gwtop.exemple.client.base.provider.IScreenProvider;
import gwtop.exemple.client.person.read.PersonReadScreen;
import gwtop.fwk.mvpe.screen.IScreen;

/**
 * The Class PersonCreateProvider.
 */
public class PersonReadProvider implements IScreenProvider {

    /**
     * Instantiates a new person read provider.
     */
    public PersonReadProvider() {
        super();
    }

    /**
     * {@inheritDoc}
     */
    public IScreen run(final String... args) {
        final Long personId = Long.valueOf(args[0]);
        return new PersonReadScreen(personId);
    }

}
