package gwtop.exemple.client.person;

import gwtop.exemple.shared.bo.person.Person;
import gwtop.exemple.shared.dto.person.PersonCriteria;

import java.util.List;

import com.google.gwt.user.client.rpc.AsyncCallback;

/**
 * The Interface IPersonRpcAsync.
 */
public interface IPersonRpcAsync {

    /**
     * Find.
     * @param criteria
     *            the criteria
     * @param callback
     *            the callback
     */
    void find(PersonCriteria criteria, AsyncCallback<List<Person>> callback);

    /**
     * Persist.
     * @param bean
     *            the bean
     * @param callback
     *            the callback
     */
    void persist(Person bean, AsyncCallback<Person> callback);

    /**
     * Read.
     * @param id
     *            the id
     * @param callback
     *            the callback
     */
    void read(Long id, AsyncCallback<Person> callback);

}
