package gwtop.exemple.shared.dto.person;

import gwtop.fwk.common.PagedCriteria;

/**
 * The Class PersonCriteria.
 */
public class PersonCriteria extends PagedCriteria {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 7794470680633266783L;

    /** The name. */
    private String name;

    /**
     * Instantiates a new person criteria.
     */
    public PersonCriteria() {
        super();
    }

    /**
     * Gets the name.
     * @return the name
     */
    public String getName() {
        return this.name;
    }

    /**
     * Sets the name.
     * @param name
     *            the new name
     */
    public void setName(final String name) {
        this.name = name;
    }

}
